!-----------------------------------------------------------------------
!  PSGHEOI -- CROSS SECTION OF O+8 + HE --> O+8 + HE+
!
real(fp) FUNCTION psgheoi8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHEOI -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,emin,emax,zans,psgchvx8
!============
  real(fp) CCHEV(9)
!
  DATA EMIN/1.0e+5_fp/
  DATA EMAX/1.0e+7_fp/
!
  DATA CCHEV/&
       -7.07000e+01_fp,-3.27532e-1_fp,-6.29127e-1_fp,&
       1.82069e-1_fp,-6.13708e-2_fp, 9.59603e-3_fp,&
       1.20755e-2_fp,-9.89337e-3_fp, 6.24973e-04_fp/
!
  ZANS=psgchvx8(2,ZE,EMIN,EMAX,CCHEV)
  psgheoi8=ZANS
!
  RETURN
END FUNCTION psgheoi8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
